Skip to main content
POST

Authorizations

Authorization
string
header
required

Secret API key from Settings → Developers → API keys. Example: Authorization: Bearer sk_test_…

Body

application/json
from
string
required

Source book currency (ISO 4217 or stablecoin code).

Example:

"USD"

to
string
required

Destination book currency.

Example:

"NGN"

amount_from
integer

Source amount in Ledger minor units (cents/kobo). Set exactly one of amount_from or amount_to.

Example:

10000

amount_to
integer

Destination amount in Ledger minor units. Set exactly one of amount_from or amount_to.

purpose
enum<string>

Omit for a payout quote. Set to swap when the quote will be passed to POST /swaps.

Available options:
swap

Response

Firm quote

object
enum<string>

Object type discriminator.

Available options:
fx_quote
id
string<uuid>

Firm quote id — pass as quote_id to payouts or swaps.

from
string

Source currency.

to
string

Destination currency.

amount_from
integer

Debit amount in Ledger minor units.

amount_to
integer

Credit amount in Ledger minor units at the locked rate.

scale_from
integer

Decimal places for from (usually 2).

scale_to
integer

Decimal places for to.

rate
string

Locked mid-market-style rate as a decimal string (to per 1 from).

expires_at
string<date-time>

When this quote can no longer be used.

valid_for_seconds
integer

Seconds remaining at creation time.